setup: use external crypto libraries

Corinna Vinschen corinna-cygwin@cygwin.com
Sat Mar 20 09:08:00 GMT 2010


On Mar 19 18:12, Charles Wilson wrote:
> On 3/19/2010 2:08 PM, Dave Korn wrote:
> > On 19/03/2010 00:40, Charles Wilson wrote:
> > 
> >> About a week after this patch, or something like it, goes in, I'll
> >> prepare another one that actually removes libgpg-error/ and libgcrypt/
> > 
> >   I really can't see any benefit in separating the two.  For a week, people
> > checking out CVS will have to download eight megs of code that isn't even
> > going to be used any more!?
> 
> Just natural caution; it's logically two separate actions -- (1) stop
> using it, and (2) remove it.  If there's a delay, then in case of some
> drastic problem it's easier to roll back the first if you haven't yet
> done the second.
> 
> >> Built and tested; the setup.exe works fine.  However, unlike my report
> >> here: http://cygwin.com/ml/cygwin-apps/2010-03/msg00085.html, THIS time
> >> I did get the error from upx:
> >>   upx: setup.exe: CantPackException: TLS callbacks are not supported
> > 
> >   It comes from tlssup.o in libmingw32.a, in the most recent mingw-runtime
> > versions.
> 
> Yeah, I reproduce the error on the other machine now.  It doesn't appear
> to have anything to do with the new libraries.

http://cygwin.com/ml/cygwin-apps/2010-03/msg00083.html
http://sourceforge.net/tracker/index.php?func=detail&aid=2790986&group_id=2331&atid=352331


Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Project Co-Leader          cygwin AT cygwin DOT com
Red Hat



More information about the Cygwin-apps mailing list